
From: Pierre Ossman <drzeus-list@drzeus.cx>

The kernel currently allocates the range 0x40-0x5f for timer calls.  This
causes conflicts with other hardware using these ports (In my case a
Winbond W83L519D SD/MMC card reader).  This patch splits the resource into
the ports actually needed.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/kernel/setup.c |    9 +++++++--
 1 files changed, 7 insertions(+), 2 deletions(-)

diff -puN arch/i386/kernel/setup.c~split-timer-resources arch/i386/kernel/setup.c
--- 25/arch/i386/kernel/setup.c~split-timer-resources	2004-08-22 17:44:52.965998400 -0700
+++ 25-akpm/arch/i386/kernel/setup.c	2004-08-22 17:44:52.969997792 -0700
@@ -219,9 +219,14 @@ static struct resource standard_io_resou
 	.end	= 0x0021,
 	.flags	= IORESOURCE_BUSY | IORESOURCE_IO
 }, {
-	.name	= "timer",
+	.name   = "timer0",
 	.start	= 0x0040,
-	.end	= 0x005f,
+	.end    = 0x0043,
+	.flags  = IORESOURCE_BUSY | IORESOURCE_IO
+}, {
+	.name   = "timer1",
+	.start  = 0x0050,
+	.end    = 0x0053,
 	.flags	= IORESOURCE_BUSY | IORESOURCE_IO
 }, {
 	.name	= "keyboard",
_
